<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI_Definitions_Parser.IO.Context Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_i_o.html">IO</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html">Context</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.IO.Context Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Class that represents a context of xAPI definitions  
 <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a044a0ab0abc5b5374c33547c60f1a076"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#a044a0ab0abc5b5374c33547c60f1a076">Context</a> (string name)</td></tr>
<tr class="memdesc:a044a0ab0abc5b5374c33547c60f1a076"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html" title="Class that represents a context of xAPI definitions">Context</a>  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#a044a0ab0abc5b5374c33547c60f1a076">More...</a><br /></td></tr>
<tr class="separator:a044a0ab0abc5b5374c33547c60f1a076"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68804a0a73293ad0359f3719e01dd992"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#a68804a0a73293ad0359f3719e01dd992">AddActivity</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> activity)</td></tr>
<tr class="memdesc:a68804a0a73293ad0359f3719e01dd992"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds an activity to the context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#a68804a0a73293ad0359f3719e01dd992">More...</a><br /></td></tr>
<tr class="separator:a68804a0a73293ad0359f3719e01dd992"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedd88fdbea43ca619bda542482312ab2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#aedd88fdbea43ca619bda542482312ab2">AddActivities</a> (List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; activities)</td></tr>
<tr class="memdesc:aedd88fdbea43ca619bda542482312ab2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds activities to the context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#aedd88fdbea43ca619bda542482312ab2">More...</a><br /></td></tr>
<tr class="separator:aedd88fdbea43ca619bda542482312ab2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4f8c252df3a3d3af9ce816bd5e1040d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#ab4f8c252df3a3d3af9ce816bd5e1040d">AddVerb</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> verb)</td></tr>
<tr class="memdesc:ab4f8c252df3a3d3af9ce816bd5e1040d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds a verb to the context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#ab4f8c252df3a3d3af9ce816bd5e1040d">More...</a><br /></td></tr>
<tr class="separator:ab4f8c252df3a3d3af9ce816bd5e1040d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa01e88ec3a2e1f58b14db2acb54b2c19"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#aa01e88ec3a2e1f58b14db2acb54b2c19">AddVerbs</a> (List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; verbs)</td></tr>
<tr class="memdesc:aa01e88ec3a2e1f58b14db2acb54b2c19"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds verbs to the context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#aa01e88ec3a2e1f58b14db2acb54b2c19">More...</a><br /></td></tr>
<tr class="separator:aa01e88ec3a2e1f58b14db2acb54b2c19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18f188e42bb00ed611a83369c252516c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#a18f188e42bb00ed611a83369c252516c">AddExtension</a> (string type, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> extension)</td></tr>
<tr class="memdesc:a18f188e42bb00ed611a83369c252516c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds an extension to the context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#a18f188e42bb00ed611a83369c252516c">More...</a><br /></td></tr>
<tr class="separator:a18f188e42bb00ed611a83369c252516c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae925e836fb45e4c09224f2858d35a6b9"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#ae925e836fb45e4c09224f2858d35a6b9">AddExtensions</a> (IDictionary&lt; string, List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; &gt; extensions)</td></tr>
<tr class="memdesc:ae925e836fb45e4c09224f2858d35a6b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds extensions to the context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#ae925e836fb45e4c09224f2858d35a6b9">More...</a><br /></td></tr>
<tr class="separator:ae925e836fb45e4c09224f2858d35a6b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a33076bd609a44c540f480d4cba75d19e"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#a33076bd609a44c540f480d4cba75d19e">Name</a><code> [get]</code></td></tr>
<tr class="memdesc:a33076bd609a44c540f480d4cba75d19e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#a33076bd609a44c540f480d4cba75d19e">More...</a><br /></td></tr>
<tr class="separator:a33076bd609a44c540f480d4cba75d19e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53cf176ba8aa3e3024fec7d0f5f8d024"><td class="memItemLeft" align="right" valign="top">List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#a53cf176ba8aa3e3024fec7d0f5f8d024">Activities</a> = new List&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a>&gt;()<code> [get]</code></td></tr>
<tr class="memdesc:a53cf176ba8aa3e3024fec7d0f5f8d024"><td class="mdescLeft">&#160;</td><td class="mdescRight">Activity files in the context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#a53cf176ba8aa3e3024fec7d0f5f8d024">More...</a><br /></td></tr>
<tr class="separator:a53cf176ba8aa3e3024fec7d0f5f8d024"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabf7c92f0e507c4ac9333461ebdffd9b"><td class="memItemLeft" align="right" valign="top">IDictionary&lt; string, List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#aabf7c92f0e507c4ac9333461ebdffd9b">Extensions</a> = new Dictionary&lt;string, List&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a>&gt;&gt;()<code> [get]</code></td></tr>
<tr class="memdesc:aabf7c92f0e507c4ac9333461ebdffd9b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Extension files in the context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#aabf7c92f0e507c4ac9333461ebdffd9b">More...</a><br /></td></tr>
<tr class="separator:aabf7c92f0e507c4ac9333461ebdffd9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b04e175bc220d4685da926ba1c02d7f"><td class="memItemLeft" align="right" valign="top">List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#a6b04e175bc220d4685da926ba1c02d7f">Verbs</a> = new List&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a>&gt;()<code> [get]</code></td></tr>
<tr class="memdesc:a6b04e175bc220d4685da926ba1c02d7f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Verb files in the context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#a6b04e175bc220d4685da926ba1c02d7f">More...</a><br /></td></tr>
<tr class="separator:a6b04e175bc220d4685da926ba1c02d7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Class that represents a context of xAPI definitions </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a044a0ab0abc5b5374c33547c60f1a076" name="a044a0ab0abc5b5374c33547c60f1a076"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a044a0ab0abc5b5374c33547c60f1a076">&#9670;&nbsp;</a></span>Context()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.IO.Context.Context </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Creates a <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html" title="Class that represents a context of xAPI definitions">Context</a> </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>Name of the context</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aedd88fdbea43ca619bda542482312ab2" name="aedd88fdbea43ca619bda542482312ab2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aedd88fdbea43ca619bda542482312ab2">&#9670;&nbsp;</a></span>AddActivities()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int xAPI_Definitions_Parser.IO.Context.AddActivities </td>
          <td>(</td>
          <td class="paramtype">List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt;&#160;</td>
          <td class="paramname"><em>activities</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Adds activities to the context </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">activities</td><td>A list of activities</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Number of successfully added activities</dd></dl>

</div>
</div>
<a id="a68804a0a73293ad0359f3719e01dd992" name="a68804a0a73293ad0359f3719e01dd992"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68804a0a73293ad0359f3719e01dd992">&#9670;&nbsp;</a></span>AddActivity()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool xAPI_Definitions_Parser.IO.Context.AddActivity </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a>&#160;</td>
          <td class="paramname"><em>activity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Adds an activity to the context </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">activity</td><td>Activity</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True, if it was successfully added, false, if not</dd></dl>

</div>
</div>
<a id="a18f188e42bb00ed611a83369c252516c" name="a18f188e42bb00ed611a83369c252516c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18f188e42bb00ed611a83369c252516c">&#9670;&nbsp;</a></span>AddExtension()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool xAPI_Definitions_Parser.IO.Context.AddExtension </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a>&#160;</td>
          <td class="paramname"><em>extension</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Adds an extension to the context </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">extension</td><td>Extension</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True, if it was successfully added, false, if not</dd></dl>

</div>
</div>
<a id="ae925e836fb45e4c09224f2858d35a6b9" name="ae925e836fb45e4c09224f2858d35a6b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae925e836fb45e4c09224f2858d35a6b9">&#9670;&nbsp;</a></span>AddExtensions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int xAPI_Definitions_Parser.IO.Context.AddExtensions </td>
          <td>(</td>
          <td class="paramtype">IDictionary&lt; string, List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; &gt;&#160;</td>
          <td class="paramname"><em>extensions</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Adds extensions to the context </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">extensions</td><td>List of extension file objects</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Number of successfully added extensions</dd></dl>

</div>
</div>
<a id="ab4f8c252df3a3d3af9ce816bd5e1040d" name="ab4f8c252df3a3d3af9ce816bd5e1040d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4f8c252df3a3d3af9ce816bd5e1040d">&#9670;&nbsp;</a></span>AddVerb()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool xAPI_Definitions_Parser.IO.Context.AddVerb </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a>&#160;</td>
          <td class="paramname"><em>verb</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Adds a verb to the context </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">verb</td><td>Verb</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True, if it was successfully added, false, if not</dd></dl>

</div>
</div>
<a id="aa01e88ec3a2e1f58b14db2acb54b2c19" name="aa01e88ec3a2e1f58b14db2acb54b2c19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa01e88ec3a2e1f58b14db2acb54b2c19">&#9670;&nbsp;</a></span>AddVerbs()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int xAPI_Definitions_Parser.IO.Context.AddVerbs </td>
          <td>(</td>
          <td class="paramtype">List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt;&#160;</td>
          <td class="paramname"><em>verbs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Adds verbs to the context </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">verbs</td><td>List of verbs</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Number of successfully added verbs</dd></dl>

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a53cf176ba8aa3e3024fec7d0f5f8d024" name="a53cf176ba8aa3e3024fec7d0f5f8d024"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53cf176ba8aa3e3024fec7d0f5f8d024">&#9670;&nbsp;</a></span>Activities</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a>&gt; xAPI_Definitions_Parser.IO.Context.Activities = new List&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a>&gt;()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Activity files in the context </p>

</div>
</div>
<a id="aabf7c92f0e507c4ac9333461ebdffd9b" name="aabf7c92f0e507c4ac9333461ebdffd9b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aabf7c92f0e507c4ac9333461ebdffd9b">&#9670;&nbsp;</a></span>Extensions</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IDictionary&lt;string, List&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a>&gt; &gt; xAPI_Definitions_Parser.IO.Context.Extensions = new Dictionary&lt;string, List&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a>&gt;&gt;()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Extension files in the context </p>

</div>
</div>
<a id="a33076bd609a44c540f480d4cba75d19e" name="a33076bd609a44c540f480d4cba75d19e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33076bd609a44c540f480d4cba75d19e">&#9670;&nbsp;</a></span>Name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string xAPI_Definitions_Parser.IO.Context.Name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of the context </p>

</div>
</div>
<a id="a6b04e175bc220d4685da926ba1c02d7f" name="a6b04e175bc220d4685da926ba1c02d7f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b04e175bc220d4685da926ba1c02d7f">&#9670;&nbsp;</a></span>Verbs</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a>&gt; xAPI_Definitions_Parser.IO.Context.Verbs = new List&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a>&gt;()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Verb files in the context </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>xAPI Definitions Parser/IO/<a class="el" href="_context_8cs.html">Context.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
